Bug 614548 (qt-mobility) - Review Request: qt-mobility - Qt Mobility Framework
Summary: Review Request: qt-mobility - Qt Mobility Framework
Keywords:
Status: CLOSED RAWHIDE
Alias: qt-mobility
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-14 18:17 UTC by Rex Dieter
Modified: 2011-07-20 16:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-20 16:42:25 UTC
Type: ---
maxamillion: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Patch to build declarative plugin (724 bytes, patch)
2010-07-16 13:06 UTC, Chen Lei
no flags Details | Diff

Description Rex Dieter 2010-07-14 18:17:16 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt-mobility/qt-mobility.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt-mobility/qt-mobility-1.0.1-2.fc13.src.rpm
Description:
Qt Mobility Project delivers a set of new APIs to Qt with features that are well
known from the mobile device world, in particular phones. However, these APIs
allow the developer to use these features with ease from one framework and apply
them to phones, netbooks and non-mobile personal computers. The framework not
only improves many aspects of a mobile experience, because it improves the use
of these technologies, but has applicability beyond the mobile device arena.



rpmlint *.rpm x86_64/*.rpm
qt-mobility.src: W: spelling-error %description -l en_US netbooks -> net books, net-books, pocketbooks
qt-mobility.src:58: W: configure-without-libdir-spec
qt-mobility.x86_64: W: spelling-error %description -l en_US netbooks -> net books, net-books, pocketbooks
qt-mobility-devel.x86_64: W: no-documentation
qt-mobility-devel.x86_64: W: no-manual-page-for-binary qcrmlgen
qt-mobility-devel.x86_64: W: no-manual-page-for-binary servicedbgen
qt-mobility-devel.x86_64: W: no-manual-page-for-binary servicefw
qt-mobility-devel.x86_64: W: no-manual-page-for-binary vsexplorer
qt-mobility-devel.x86_64: W: no-manual-page-for-binary icheck
qt-mobility-devel.x86_64: W: no-manual-page-for-binary servicexmlgen
4 packages and 0 specfiles checked; 0 errors, 10 warnings.

Comment 1 Rex Dieter 2010-07-14 18:57:13 UTC
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2319817

Comment 2 Adam Miller 2010-07-14 19:19:31 UTC
YES - Package meets naming and packaging guidelines
YES - Spec file matches base package name.
YES - Spec has consistant macro usage.
YES - Meets Packaging Guidelines.
YES - License
YES - License field in spec matches
YES - License file included in package
YES - Spec in American English
YES - Spec is legible.
YES - Sources match upstream md5sum:

NA - Package needs ExcludeArch
YES - BuildRequires correct
YES - Spec handles locales/find_lang
NA - Package is relocatable and has a reason to be.
YES - Package has %defattr and permissions on files is good.
YES - Package has a correct %clean section.
YES - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
YES - Package is code or permissible content.
NO - Doc subpackage needed/used.
YES - Packages %doc files don't affect runtime.

YES - Headers/static libs in -devel subpackage.
NA - Spec has needed ldconfig in post and postun
NA - .pc files in -devel subpackage/requires pkgconfig
YES- .so files in -devel subpackage.
NO - -devel package Requires: %{name} = %{version}-%{release}
NA - .la files are removed.

NA - Package is a GUI app and has a .desktop file

YES - Package compiles and builds on at least one arch.
YES - Package has no duplicate files in %files.
YES - Package doesn't own any directories other packages own.
YES - Package owns all the directories it creates.
NO - No rpmlint output.
YES - final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

SHOULD Items:

YES - Should build in mock.
YES - Should build on all supported archs
YES - Should function as described.
NA - Should have sane scriptlets.
NO - Should have subpackages require base package with fully versioned depend.
YES - Should have dist tag
YES - Should package latest version
NA - check for outstanding bugs on package. (For core merge reviews)

Issues:
1. -devel does not require core package
2. license typo
3. docs found in docs/html/ not included in %docs

Comment 3 Rex Dieter 2010-07-14 19:24:45 UTC
1.  -devel does include,
Requires: %{name}%{?_isa} = %{version}-%{release}
already.

2. should be
License: LGPLv2 with exceptions
yes (no +)

3.  I'll try to find out what's expected with the docs.  the Makefile's only generate a qch file, but there are no install targets.

Comment 4 Rex Dieter 2010-07-14 20:25:07 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt-mobility/qt-mobility.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/qt-mobility/qt-mobility-1.0.1-3.fc13.src.rpm

%changelog
* Wed Jul 14 2010 Rex Dieter <rdieter@fedoraproject.org> 1.0.1-3
- License: LGPLv2 ...
- -doc subpkg

Comment 5 Adam Miller 2010-07-14 20:28:39 UTC
YES - Package meets naming and packaging guidelines
YES - Spec file matches base package name.
YES - Spec has consistant macro usage.
YES - Meets Packaging Guidelines.
YES - License
YES - License field in spec matches
YES - License file included in package
YES - Spec in American English
YES - Spec is legible.
YES - Sources match upstream md5sum:

NA - Package needs ExcludeArch
YES - BuildRequires correct
YES - Spec handles locales/find_lang
NA - Package is relocatable and has a reason to be.
YES - Package has %defattr and permissions on files is good.
YES - Package has a correct %clean section.
YES - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
YES - Package is code or permissible content.
YES - Doc subpackage needed/used.
YES - Packages %doc files don't affect runtime.

YES - Headers/static libs in -devel subpackage.
NA - Spec has needed ldconfig in post and postun
NA - .pc files in -devel subpackage/requires pkgconfig
YES- .so files in -devel subpackage.
YES - -devel package Requires: %{name} = %{version}-%{release}
NA - .la files are removed.

NA - Package is a GUI app and has a .desktop file

YES - Package compiles and builds on at least one arch.
YES - Package has no duplicate files in %files.
YES - Package doesn't own any directories other packages own.
YES - Package owns all the directories it creates.
NO - No rpmlint output.
YES - final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =;
rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and
anything provided by glibc.)

SHOULD Items:

YES - Should build in mock.
YES - Should build on all supported archs
YES - Should function as described.
NA - Should have sane scriptlets.
NO - Should have subpackages require base package with fully versioned depend.
YES - Should have dist tag
YES - Should package latest version
NA - check for outstanding bugs on package. (For core merge reviews)

Issues:
1. NONE


------

Rex, sorry about the -devel requires main. Completely overlooked, apologies.

------

APPROVED

Comment 6 Rex Dieter 2010-07-14 20:36:45 UTC
New Package CVS Request
=======================
Package Name: qt-mobility
Short Description: Qt Mobility Framework
Owners: rdieter,than,kkofler
Branches: F-12 F-13 EL-6
InitialCC:

Comment 7 Kevin Fenzi 2010-07-15 05:31:11 UTC
CVS done (by process-cvs-requests.py).

Please remember to assign the bug to the reviewer. ;)

Comment 8 Rex Dieter 2010-07-15 14:31:54 UTC
imported

Comment 9 Fedora Update System 2010-07-15 14:47:00 UTC
qt-mobility-1.0.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/qt-mobility-1.0.1-3.fc13

Comment 10 Fedora Update System 2010-07-15 21:01:19 UTC
qt-mobility-1.0.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qt-mobility'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/qt-mobility-1.0.1-3.fc13

Comment 11 Chen Lei 2010-07-16 10:44:47 UTC
Hi all,

It seems qt-mobility also have two more optional deps - libqttracker and messagingframework, can anyone help me to review those packages? MeeGo 1.1 need qt-mobility to build agaist those deps.

One of the review is here:
https://bugzilla.redhat.com/show_bug.cgi?id=613881

Chen Lei

Comment 12 Chen Lei 2010-07-16 13:06:27 UTC
Created attachment 432386 [details]
Patch to build declarative plugin

Patch0: qt-mobility-opensource-src-1.0.1-no_declarative.patch is not needed now :)

Comment 13 Rex Dieter 2010-07-16 13:15:13 UTC
Feel free to apply for cvs commit access (and apply the patch) if you're interested.  else, I'll get to it soonish.

Comment 14 Chen Lei 2010-07-20 02:43:42 UTC
(In reply to comment #13)
> Feel free to apply for cvs commit access (and apply the patch) if you're
> interested.  else, I'll get to it soonish.    

Applied, thanks. I'll package messagingframework(qmf) ASAP which is a mandatory requirement for qt-mobility messaging modules.

See http://doc.qt.nokia.com/qtmobility-1.0/installation.html#pre-requisites-dependencies


Note You need to log in before you can comment on or make changes to this bug.